View Issue Details

IDProjectCategoryView StatusLast Update
0003150unrealircdpublic2006-12-19 13:43
ReportervonitsanetAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS-OS Version-
Product Version3.2.6 
Target VersionFixed in Version3.2.6 
Summary0003150: connection error not received?
DescriptionFBSD6.unrealircd.testnet (1) 71
|-win2003.unrealircd.testnet (2) 111
|-WinXPPro.nonSSL.unrealircd.testnet (1) 24
`-services.unrealircd.testnet (9)

I'm connected to my server (FBSD6) and i give /squit win2003*
On my server i will see:
 *** LocOps -- Received SQUIT win2003.unrealircd.testnet from vonitsanet[dsl-88-218-20-176.customers.vivodi.gr] (test)

As an oper on win2003 i will not see anything. ONly with junk snomask i will see:
 -win2003.unrealircd.testnet- Exiting ssl client FBSD6.unrealircd.testnet[@72.20.15.245.0]: SSL_read(): Underlying socket operation returned zero
Steps To ReproduceServers are ssl + zip linked.

[00:52:04] -FBSD6.unrealircd.testnet- OpenSSL 0.9.8d 28 Sep 2006
[00:52:04] -FBSD6.unrealircd.testnet- zlib 1.2.3

[00:51:44] -win2003.unrealircd.testnet- OpenSSL 0.9.8d 28 Sep 2006
[00:51:44] -win2003.unrealircd.testnet- zlib 1.2.3
[00:51:44] -win2003.unrealircd.testnet- libcurl/7.16.0 OpenSSL/0.9.8d c-ares/1.3.2
TagsNo tags attached.
3rd party modules

Relationships

child of 0002936 resolvedsyzop 3.2.6 Release 

Activities

syzop

2006-12-18 17:00

administrator   ~0012845

Hm :/ ;p

syzop

2006-12-18 18:10

administrator   ~0012846

confirmed with tcpkill

syzop

2006-12-18 18:26

administrator   ~0012847

Last edited: 2006-12-18 18:27

Problem is, a fix to send the error message will cause double error messages sometimes, so not simply adding one line somewhere, hmmm :P

Hope I'll have some time to check tomorrow again.

syzop

2006-12-19 13:43

administrator   ~0012855

With some tricks, it works now ;P

In cvs of 32* and 33*:
- Showing even more SSL server errors now, hopefully all of them, also changed the
  error notice a bit so it's much more like non-SSL server link errors. Reported by
  vonitsanet (0003150).

Thanks for the report.

Issue History

Date Modified Username Field Change
2006-12-18 16:52 vonitsanet New Issue
2006-12-18 17:00 syzop Note Added: 0012845
2006-12-18 18:05 syzop Status new => acknowledged
2006-12-18 18:05 syzop Relationship added child of 0002936
2006-12-18 18:10 syzop Note Added: 0012846
2006-12-18 18:10 syzop Status acknowledged => confirmed
2006-12-18 18:26 syzop Note Added: 0012847
2006-12-18 18:27 syzop Note Edited: 0012847
2006-12-19 13:43 syzop Status confirmed => resolved
2006-12-19 13:43 syzop Fixed in Version => 3.2.6
2006-12-19 13:43 syzop Resolution open => fixed
2006-12-19 13:43 syzop Assigned To => syzop
2006-12-19 13:43 syzop Note Added: 0012855